#
# spec file for package nagios-plugins-dns (Version 0.1)
#
#

# norootforbuild


Name:           nagios-plugins-dns
Summary:        Nagios plugin collection for DNS related checks
Version:        0.1
Release:        1.1
Url:            http://download.obs.j0ke.net/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_dns_random-new.pl
Source1:	check_resolver.pl

Requires:	perl-Net-DNS
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This is a nagios plugin collection for DNS related checks.

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_dns_random-new.pl
install    -m755 %{SOURCE1} %buildroot/%libexecdir/check_resolver.pl

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/*

%changelog
* Sun Jan 30 2011 Carsten Schoene <cs@linux-administrator.com> - 0.1-1
- initial package version 0.1
 - added check_dns_random-new.pl
 - added check_resolver.pl
